summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-firewall/iptables/files/iptables-1.2.9-r1.init')
-rw-r--r--net-firewall/iptables/files/iptables-1.2.9-r1.init7
1 files changed, 5 insertions, 2 deletions
diff --git a/net-firewall/iptables/files/iptables-1.2.9-r1.init b/net-firewall/iptables/files/iptables-1.2.9-r1.init
index 9c96a242f0c9..436401d525c9 100644
--- a/net-firewall/iptables/files/iptables-1.2.9-r1.init
+++ b/net-firewall/iptables/files/iptables-1.2.9-r1.init
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.2.9-r1.init,v 1.4 2005/04/25 00:27:47 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.2.9-r1.init,v 1.5 2005/05/05 01:27:29 vapier Exp $
opts="save reload"
@@ -67,7 +67,10 @@ reload() {
}
save() {
+ local ret
ebegin "Saving iptables state"
/sbin/iptables-save ${SAVE_RESTORE_OPTIONS} > ${IPTABLES_SAVE}
- eend $?
+ ret=$?
+ chmod 0600 ${IPTABLES_SAVE}
+ eend ${ret}
}